#!/bin/sh

if [ "$1x" != "x" ]; then
    export CUBETTY=$1
fi

if [ "${CUBETTY}x" != "x" ]; then
    stty -F $CUBETTY  57600 -ixon
fi

# get directory of this script
dir=$(dirname $0)
if [ "${0:0:1}x" != "/x" ] ; then
    dir=$(pwd)/$dir
fi

# For libraries that are loaded via c's dlopen (man 3 dlopen) because they are mentioned in the .so-files.
export LD_LIBRARY_PATH=$dir

# go to directory of the core-file
cd $dir

echo -e "\nLoading shared objects (libraries). . .\n"

./sbcl --noinform --core cube-modeller.core

# go to old dir
cd -
